EG(4)

NAME
eg - Ethernet driver for 3Com 3c505 Etherlink+ Ethernet board

SYNOPSIS
device eg0 at isa? port 0x310 net irq 5 vector egintr

DESCRIPTION
The eg interface provides access to a 10 Mb/s Ethernet network via the 3Com 3c505 board based on the Intel 82586 Ethernet chip.

DIAGNOSTICS

eg%d: configure card command failed For some reason, the driver could not initialize the card. Please check the card's IRQ and I/O settings relative to those in the kernel configuration file.

BUGS
Uses the onboard firmware, which is not a good way to do it. Doesn't support DMA or high speeds. Currently the driver does not support multicast. The timeout interval can be quite long (16 seconds) for a 512k board.

SEE ALSO
ed(4), el(4), ep(4), ie(4), intro(4), le(4), ifconfig(8)

HISTORY
The eg device driver first appeared in FreeBSD 2.0.5 coming from NetBSD.

AUTHORS
The eg device driver was written by Dean Huxley. This manual page was written by James A. Jegers.